Page MenuHomePhabricator

Add app_install_id and other renamed fields to EL sanitization whitelist
Closed, ResolvedPublic3 Story Points

Description

During end of Q1 and beginning of Q2 the field appInstallID was renamed to app_install_id for some schemas. But that new field wasn't added to the EL sanitization whitelist. app_install_id fields and potentially other renamed fields should be added to EL whitelist.

Event Timeline

mforns created this task.Jul 20 2018, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2018, 4:26 PM

Change 447088 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/refinery@master] Add app_install_id to EL sanitization whitelist

https://gerrit.wikimedia.org/r/447088

fdans triaged this task as High priority.Jul 26 2018, 3:30 PM
fdans raised the priority of this task from High to Unbreak Now!.
fdans added a project: Analytics-Kanban.
fdans moved this task from Incoming to Data Quality on the Analytics board.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJul 26 2018, 3:31 PM

Change 447088 merged by Mforns:
[analytics/refinery@master] Add MobileApp fixes to EL sanitization whitelist

https://gerrit.wikimedia.org/r/447088

Change 451616 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/refinery@master] Cast to string reserved words in EventLogging whitelist to unbreak EL sanitization

https://gerrit.wikimedia.org/r/451616

Change 451616 merged by Mforns:
[analytics/refinery@master] Cast to string reserved words in EventLogging whitelist to unbreak EL sanitization

https://gerrit.wikimedia.org/r/451616

fdans moved this task from Next Up to Done on the Analytics-Kanban board.Aug 27 2018, 3:56 PM
Nuria closed this task as Resolved.Aug 30 2018, 12:31 AM
Nuria set the point value for this task to 3.